| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
isf_init.c File Reference

The isf_init.c file contains implementation of the ISF library initialization functions. More...

`#include "isf_user_config.h"`
`#include "isf_init.h"`
`#include "fsl_os_abstraction.h"`
Include dependency graph for isf_init.c:

Go to the source code of this file.

## Functions
isf_status_t | isf_lib_init (void *pOptions)
| Please see isf_init.h for complete documentation. More...
void | isf_system_sync (void)
| This function synchronizes the user tasks and the system initialization. More...

## Variables
event_t | isfSysEventHandler
volatile uint8 | synchCreate = 0

## Detailed Description

The isf_init.c file contains implementation of the ISF library initialization functions.

Copyright
  Copyright (c) 2015, Freescale Semiconductor, Inc.

Definition in file isf_init.c.

## Function Documentation

isf_status_t isf_lib_init | ( | void * | pOptions | ) |

Please see isf_init.h for complete documentation.

This function initializes the ISF library.

API to get ISF information.

Definition at line 18 of file isf_init.c.

References bm_init(), ci_init(), ISF_ERR_LIB_INIT, ISF_SUCCESS, ISF_SYSTEM_READY_EVENT, and isfSysEventHandler.

Referenced by App1_task(), and BasicApp1_MainTask().

Here is the call graph for this function:

Here is the caller graph for this function:

void isf_system_sync | ( | void |  | ) |

This function synchronizes the user tasks and the system initialization.

Purpose:
  This function blocks the user tasks from executing until ISF initialization is completed.

Returns
  This function does not return any values.

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

Definition at line 50 of file isf_init.c.

References FALSE, ISF_SYSTEM_READY_EVENT, isfSysEventHandler, and synchCreate.

Referenced by App1_task(), BasicApp1_MainTask(), BM_task(), CI_task(), and RLI1_MainTask().

Here is the caller graph for this function:

## Variable Documentation

event_t isfSysEventHandler

Definition at line 13 of file isf_init.c.

Referenced by isf_lib_init(), and isf_system_sync().

volatile uint8 synchCreate = 0

Definition at line 16 of file isf_init.c.

Referenced by isf_system_sync().

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.